# template: default
%global gem_name trailblazer-option

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Callable patterns for options in Trailblazer
License: MIT
URL: https://trailblazer.to/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.1.0
BuildRequires: ruby >= 2.1.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Wrap an option at compile-time and `call` it at runtime, which allows to have
the common `-> ()`, `:method` or `Callable` pattern used for most options.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%doc %{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%exclude %{gem_instdir}/trailblazer-option.gemspec

%changelog
* Tue Sep 06 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.1.2-1
- Add rubygem-trailblazer-option generated by gem2rpm using the default template

